Package opennlp.tools.ml.maxent.io

## Class BinaryGISModelWriter

- java.lang.Object
- - opennlp.tools.ml.model.AbstractModelWriter
  - - opennlp.tools.ml.maxent.io.GISModelWriter
    - - opennlp.tools.ml.maxent.io.BinaryGISModelWriter

-     public class BinaryGISModelWriter
      extends GISModelWriter

  A `GISModelWriter` that writes models in a binary format.
  See Also:
    `GISModel`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BinaryGISModelWriter​(AbstractModel model, DataOutputStream dos)` | Instantiates `BinaryGISModelWriter` via an `GIS model` and a `DataOutputStream`.
    `BinaryGISModelWriter​(AbstractModel model, File f)` | Instantiates `BinaryGISModelWriter` via an `GIS model` and a `File`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` | Closes the underlying `DataOutputStream`.
    `void` | `writeDouble​(double d)` | Writes a single `double` to the underlying `DataOutputStream`.
    `void` | `writeInt​(int i)` | Writes a single `int` to the underlying `DataOutputStream`.
    `void` | `writeUTF​(String s)` | Writes a `String` to the underlying `DataOutputStream`.

    - ### Methods inherited from class opennlp.tools.ml.maxent.io.GISModelWriter

      `persist`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BinaryGISModelWriter

          public BinaryGISModelWriter​(AbstractModel model,
                                      File f)
                               throws IOException

      Instantiates `BinaryGISModelWriter` via an `GIS model` and a `File`.

      Prepares writing of a `model` to the file. Based on whether the file's suffix contains `.gz`, it detects whether the file is gzipped or not.

      Parameters:
        `model` - The `GIS model` which is to be persisted.
        `f` - The `File` in which the model is to be persisted.
      Throws:
        `IOException` - Thrown if IO errors occurred.
      See Also:
        `GISModel`

    - #### BinaryGISModelWriter

          public BinaryGISModelWriter​(AbstractModel model,
                                      DataOutputStream dos)

      Instantiates `BinaryGISModelWriter` via an `GIS model` and a `DataOutputStream`.
      Parameters:
        `model` - The `GIS model` which is to be persisted.
        `dos` - The `DataOutputStream` which is used to persist the `model`. The `dos` must be opened.

  - ### Method Detail

    - #### writeUTF

          public void writeUTF​(String s)
                        throws IOException

      Writes a `String` to the underlying `DataOutputStream`.
      Specified by:
        `writeUTF` in class `AbstractModelWriter`
      Parameters:
        `s` - The `UTF encoded` characters.
      Throws:
        `IOException` - Thrown if IO errors occurred.

    - #### writeInt

          public void writeInt​(int i)
                        throws IOException

      Writes a single `int` to the underlying `DataOutputStream`.
      Specified by:
        `writeInt` in class `AbstractModelWriter`
      Parameters:
        `i` - The `int` value.
      Throws:
        `IOException` - Thrown if IO errors occurred.

    - #### writeDouble

          public void writeDouble​(double d)
                           throws IOException

      Writes a single `double` to the underlying `DataOutputStream`.
      Specified by:
        `writeDouble` in class `AbstractModelWriter`
      Parameters:
        `d` - The `double` value.
      Throws:
        `IOException` - Thrown if IO errors occurred.

    - #### close

          public void close()
                     throws IOException

      Description copied from class: `AbstractModelWriter`
      Closes the underlying `DataOutputStream`.
      Specified by:
        `close` in class `AbstractModelWriter`
      Throws:
        `IOException` - Thrown if IO errors occurred.